package pp.s1184725.boppi;

public enum SimpleType {
	INT, CHAR, BOOL, VOID;
	
	public static SimpleType fromToken(int token) {
		switch (token) {
		case BasicLexer.INTTYPE:
			return SimpleType.INT;

		case BasicLexer.CHARTYPE:
			return SimpleType.CHAR;

		case BasicLexer.BOOLTYPE:
			return SimpleType.BOOL;

		default:
			return SimpleType.VOID;
		}
	}
}
